summaryrefslogtreecommitdiff
path: root/debian/libgcjLGCJ.postrm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/libgcjLGCJ.postrm')
-rw-r--r--debian/libgcjLGCJ.postrm12
1 files changed, 12 insertions, 0 deletions
diff --git a/debian/libgcjLGCJ.postrm b/debian/libgcjLGCJ.postrm
new file mode 100644
index 0000000..2de6718
--- /dev/null
+++ b/debian/libgcjLGCJ.postrm
@@ -0,0 +1,12 @@
+#! /bin/sh -e
+
+case "$1" in
+ remove|purge)
+ # only purge if no other library is installed.
+ if [ -z "$(ls /usr/lib/libgcj.so.@GCJ@* 2>/dev/null)" ]; then
+ rm -f /var/lib/gcj-@BV@/classmap.db
+ rmdir --ignore-fail-on-non-empty /var/lib/gcj-@BV@ 2>/dev/null || true
+ fi
+esac
+
+#DEBHELPER#